Support IF NOT EXISTS in SQL declarations
[bpt/emacs.git] / m4 / gnulib-comp.m4
1 # DO NOT EDIT! GENERATED AUTOMATICALLY!
2 # Copyright (C) 2002-2012 Free Software Foundation, Inc.
3 #
4 # This file is free software; you can redistribute it and/or modify
5 # it under the terms of the GNU General Public License as published by
6 # the Free Software Foundation; either version 3 of the License, or
7 # (at your option) any later version.
8 #
9 # This file is distributed in the hope that it will be useful,
10 # but WITHOUT ANY WARRANTY; without even the implied warranty of
11 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
12 # GNU General Public License for more details.
13 #
14 # You should have received a copy of the GNU General Public License
15 # along with this file. If not, see <http://www.gnu.org/licenses/>.
16 #
17 # As a special exception to the GNU General Public License,
18 # this file may be distributed as part of a program that
19 # contains a configuration script generated by Autoconf, under
20 # the same distribution terms as the rest of that program.
21 #
22 # Generated by gnulib-tool.
23 #
24 # This file represents the compiled summary of the specification in
25 # gnulib-cache.m4. It lists the computed macro invocations that need
26 # to be invoked from configure.ac.
27 # In projects that use version control, this file can be treated like
28 # other built files.
29
30
31 # This macro should be invoked from ./configure.ac, in the section
32 # "Checks for programs", right after AC_PROG_CC, and certainly before
33 # any checks for libraries, header files, types and library functions.
34 AC_DEFUN([gl_EARLY],
35 [
36 m4_pattern_forbid([^gl_[A-Z]])dnl the gnulib macro namespace
37 m4_pattern_allow([^gl_ES$])dnl a valid locale name
38 m4_pattern_allow([^gl_LIBOBJS$])dnl a variable
39 m4_pattern_allow([^gl_LTLIBOBJS$])dnl a variable
40 AC_REQUIRE([gl_PROG_AR_RANLIB])
41 # Code from module alloca-opt:
42 # Code from module allocator:
43 # Code from module c-ctype:
44 # Code from module c-strcase:
45 # Code from module careadlinkat:
46 # Code from module clock-time:
47 # Code from module close-stream:
48 # Code from module crypto/md5:
49 # Code from module crypto/sha1:
50 # Code from module crypto/sha256:
51 # Code from module crypto/sha512:
52 # Code from module dosname:
53 # Code from module dtoastr:
54 # Code from module dtotimespec:
55 # Code from module dup2:
56 # Code from module environ:
57 # Code from module euidaccess:
58 # Code from module execinfo:
59 # Code from module extensions:
60 AC_REQUIRE([gl_USE_SYSTEM_EXTENSIONS])
61 # Code from module extern-inline:
62 # Code from module faccessat:
63 # Code from module fcntl-h:
64 # Code from module filemode:
65 # Code from module fpending:
66 # Code from module getgroups:
67 # Code from module getloadavg:
68 # Code from module getopt-gnu:
69 # Code from module getopt-posix:
70 # Code from module gettext-h:
71 # Code from module gettime:
72 # Code from module gettimeofday:
73 # Code from module group-member:
74 # Code from module ignore-value:
75 # Code from module include_next:
76 # Code from module intprops:
77 # Code from module inttypes-incomplete:
78 # Code from module largefile:
79 AC_REQUIRE([AC_SYS_LARGEFILE])
80 # Code from module lstat:
81 # Code from module manywarnings:
82 # Code from module mktime:
83 # Code from module multiarch:
84 # Code from module nocrash:
85 # Code from module pathmax:
86 # Code from module pselect:
87 # Code from module pthread_sigmask:
88 # Code from module readlink:
89 # Code from module root-uid:
90 # Code from module signal-h:
91 # Code from module snippet/_Noreturn:
92 # Code from module snippet/arg-nonnull:
93 # Code from module snippet/c++defs:
94 # Code from module snippet/warn-on-use:
95 # Code from module socklen:
96 # Code from module ssize_t:
97 # Code from module stat:
98 # Code from module stat-time:
99 # Code from module stdalign:
100 # Code from module stdarg:
101 dnl Some compilers (e.g., AIX 5.3 cc) need to be in c99 mode
102 dnl for the builtin va_copy to work. With Autoconf 2.60 or later,
103 dnl gl_PROG_CC_C99 arranges for this. With older Autoconf gl_PROG_CC_C99
104 dnl shouldn't hurt, though installers are on their own to set c99 mode.
105 gl_PROG_CC_C99
106 # Code from module stdbool:
107 # Code from module stddef:
108 # Code from module stdint:
109 # Code from module stdio:
110 # Code from module stdlib:
111 # Code from module strftime:
112 # Code from module strtoimax:
113 # Code from module strtoll:
114 # Code from module strtoull:
115 # Code from module strtoumax:
116 # Code from module symlink:
117 # Code from module sys_select:
118 # Code from module sys_stat:
119 # Code from module sys_time:
120 # Code from module time:
121 # Code from module time_r:
122 # Code from module timer-time:
123 # Code from module timespec:
124 # Code from module timespec-add:
125 # Code from module timespec-sub:
126 # Code from module u64:
127 # Code from module unistd:
128 # Code from module utimens:
129 # Code from module verify:
130 # Code from module warnings:
131 # Code from module xalloc-oversized:
132 ])
133
134 # This macro should be invoked from ./configure.ac, in the section
135 # "Check for header files, types and library functions".
136 AC_DEFUN([gl_INIT],
137 [
138 AM_CONDITIONAL([GL_COND_LIBTOOL], [false])
139 gl_cond_libtool=false
140 gl_libdeps=
141 gl_ltlibdeps=
142 gl_m4_base='m4'
143 m4_pushdef([AC_LIBOBJ], m4_defn([gl_LIBOBJ]))
144 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gl_REPLACE_FUNCS]))
145 m4_pushdef([AC_LIBSOURCES], m4_defn([gl_LIBSOURCES]))
146 m4_pushdef([gl_LIBSOURCES_LIST], [])
147 m4_pushdef([gl_LIBSOURCES_DIR], [])
148 gl_COMMON
149 gl_source_base='lib'
150 gl_FUNC_ALLOCA
151 AC_CHECK_FUNCS_ONCE([readlinkat])
152 gl_CLOCK_TIME
153 gl_CLOSE_STREAM
154 gl_MODULE_INDICATOR([close-stream])
155 gl_MD5
156 gl_SHA1
157 gl_SHA256
158 gl_SHA512
159 AC_REQUIRE([gl_C99_STRTOLD])
160 gl_FUNC_DUP2
161 if test $HAVE_DUP2 = 0 || test $REPLACE_DUP2 = 1; then
162 AC_LIBOBJ([dup2])
163 gl_PREREQ_DUP2
164 fi
165 gl_UNISTD_MODULE_INDICATOR([dup2])
166 gl_ENVIRON
167 gl_UNISTD_MODULE_INDICATOR([environ])
168 gl_EXECINFO_H
169 AC_REQUIRE([gl_EXTERN_INLINE])
170 gl_FUNC_FACCESSAT
171 if test $HAVE_FACCESSAT = 0; then
172 AC_LIBOBJ([faccessat])
173 gl_PREREQ_FACCESSAT
174 fi
175 gl_MODULE_INDICATOR([faccessat])
176 gl_UNISTD_MODULE_INDICATOR([faccessat])
177 gl_FCNTL_H
178 gl_FILEMODE
179 gl_FUNC_FPENDING
180 if test $ac_cv_func___fpending = no; then
181 AC_LIBOBJ([fpending])
182 gl_PREREQ_FPENDING
183 fi
184 gl_GETLOADAVG
185 if test $HAVE_GETLOADAVG = 0; then
186 AC_LIBOBJ([getloadavg])
187 gl_PREREQ_GETLOADAVG
188 fi
189 gl_STDLIB_MODULE_INDICATOR([getloadavg])
190 gl_FUNC_GETOPT_GNU
191 if test $REPLACE_GETOPT = 1; then
192 AC_LIBOBJ([getopt])
193 AC_LIBOBJ([getopt1])
194 gl_PREREQ_GETOPT
195 dnl Arrange for unistd.h to include getopt.h.
196 GNULIB_GL_UNISTD_H_GETOPT=1
197 fi
198 AC_SUBST([GNULIB_GL_UNISTD_H_GETOPT])
199 gl_MODULE_INDICATOR_FOR_TESTS([getopt-gnu])
200 gl_FUNC_GETOPT_POSIX
201 if test $REPLACE_GETOPT = 1; then
202 AC_LIBOBJ([getopt])
203 AC_LIBOBJ([getopt1])
204 gl_PREREQ_GETOPT
205 dnl Arrange for unistd.h to include getopt.h.
206 GNULIB_GL_UNISTD_H_GETOPT=1
207 fi
208 AC_SUBST([GNULIB_GL_UNISTD_H_GETOPT])
209 gl_GETTIME
210 gl_FUNC_GETTIMEOFDAY
211 if test $HAVE_GETTIMEOFDAY = 0 || test $REPLACE_GETTIMEOFDAY = 1; then
212 AC_LIBOBJ([gettimeofday])
213 gl_PREREQ_GETTIMEOFDAY
214 fi
215 gl_SYS_TIME_MODULE_INDICATOR([gettimeofday])
216 gl_INTTYPES_INCOMPLETE
217 AC_REQUIRE([gl_LARGEFILE])
218 gl_FUNC_LSTAT
219 if test $REPLACE_LSTAT = 1; then
220 AC_LIBOBJ([lstat])
221 gl_PREREQ_LSTAT
222 fi
223 gl_SYS_STAT_MODULE_INDICATOR([lstat])
224 gl_FUNC_MKTIME
225 if test $REPLACE_MKTIME = 1; then
226 AC_LIBOBJ([mktime])
227 gl_PREREQ_MKTIME
228 fi
229 gl_TIME_MODULE_INDICATOR([mktime])
230 gl_MULTIARCH
231 gl_FUNC_PSELECT
232 if test $HAVE_PSELECT = 0 || test $REPLACE_PSELECT = 1; then
233 AC_LIBOBJ([pselect])
234 fi
235 gl_SYS_SELECT_MODULE_INDICATOR([pselect])
236 gl_FUNC_PTHREAD_SIGMASK
237 if test $HAVE_PTHREAD_SIGMASK = 0 || test $REPLACE_PTHREAD_SIGMASK = 1; then
238 AC_LIBOBJ([pthread_sigmask])
239 gl_PREREQ_PTHREAD_SIGMASK
240 fi
241 gl_SIGNAL_MODULE_INDICATOR([pthread_sigmask])
242 gl_FUNC_READLINK
243 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
244 AC_LIBOBJ([readlink])
245 gl_PREREQ_READLINK
246 fi
247 gl_UNISTD_MODULE_INDICATOR([readlink])
248 gl_SIGNAL_H
249 gl_TYPE_SOCKLEN_T
250 gt_TYPE_SSIZE_T
251 gl_STAT_TIME
252 gl_STAT_BIRTHTIME
253 gl_STDALIGN_H
254 gl_STDARG_H
255 AM_STDBOOL_H
256 gl_STDDEF_H
257 gl_STDINT_H
258 gl_STDIO_H
259 gl_STDLIB_H
260 gl_FUNC_GNU_STRFTIME
261 gl_FUNC_STRTOIMAX
262 if test $HAVE_STRTOIMAX = 0 || test $REPLACE_STRTOIMAX = 1; then
263 AC_LIBOBJ([strtoimax])
264 gl_PREREQ_STRTOIMAX
265 fi
266 gl_INTTYPES_MODULE_INDICATOR([strtoimax])
267 gl_FUNC_STRTOUMAX
268 if test $ac_cv_func_strtoumax = no; then
269 AC_LIBOBJ([strtoumax])
270 gl_PREREQ_STRTOUMAX
271 fi
272 gl_INTTYPES_MODULE_INDICATOR([strtoumax])
273 gl_FUNC_SYMLINK
274 if test $HAVE_SYMLINK = 0 || test $REPLACE_SYMLINK = 1; then
275 AC_LIBOBJ([symlink])
276 fi
277 gl_UNISTD_MODULE_INDICATOR([symlink])
278 gl_HEADER_SYS_SELECT
279 AC_PROG_MKDIR_P
280 gl_HEADER_SYS_STAT_H
281 AC_PROG_MKDIR_P
282 gl_HEADER_SYS_TIME_H
283 AC_PROG_MKDIR_P
284 gl_HEADER_TIME_H
285 gl_TIME_R
286 if test $HAVE_LOCALTIME_R = 0 || test $REPLACE_LOCALTIME_R = 1; then
287 AC_LIBOBJ([time_r])
288 gl_PREREQ_TIME_R
289 fi
290 gl_TIME_MODULE_INDICATOR([time_r])
291 gl_TIMER_TIME
292 gl_TIMESPEC
293 gl_UNISTD_H
294 gl_UTIMENS
295 gl_gnulib_enabled_dosname=false
296 gl_gnulib_enabled_euidaccess=false
297 gl_gnulib_enabled_getgroups=false
298 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=false
299 gl_gnulib_enabled_a9786850e999ae65a836a6041e8e5ed1=false
300 gl_gnulib_enabled_pathmax=false
301 gl_gnulib_enabled_6099e9737f757db36c47fa9d9f02e88c=false
302 gl_gnulib_enabled_stat=false
303 gl_gnulib_enabled_strtoll=false
304 gl_gnulib_enabled_strtoull=false
305 gl_gnulib_enabled_verify=false
306 gl_gnulib_enabled_682e609604ccaac6be382e4ee3a4eaec=false
307 func_gl_gnulib_m4code_dosname ()
308 {
309 if ! $gl_gnulib_enabled_dosname; then
310 gl_gnulib_enabled_dosname=true
311 fi
312 }
313 func_gl_gnulib_m4code_euidaccess ()
314 {
315 if ! $gl_gnulib_enabled_euidaccess; then
316 gl_FUNC_EUIDACCESS
317 if test $HAVE_EUIDACCESS = 0; then
318 AC_LIBOBJ([euidaccess])
319 gl_PREREQ_EUIDACCESS
320 fi
321 gl_UNISTD_MODULE_INDICATOR([euidaccess])
322 gl_gnulib_enabled_euidaccess=true
323 if test $HAVE_EUIDACCESS = 0; then
324 func_gl_gnulib_m4code_a9786850e999ae65a836a6041e8e5ed1
325 fi
326 func_gl_gnulib_m4code_6099e9737f757db36c47fa9d9f02e88c
327 if test $HAVE_EUIDACCESS = 0; then
328 func_gl_gnulib_m4code_stat
329 fi
330 fi
331 }
332 func_gl_gnulib_m4code_getgroups ()
333 {
334 if ! $gl_gnulib_enabled_getgroups; then
335 gl_FUNC_GETGROUPS
336 if test $HAVE_GETGROUPS = 0 || test $REPLACE_GETGROUPS = 1; then
337 AC_LIBOBJ([getgroups])
338 fi
339 gl_UNISTD_MODULE_INDICATOR([getgroups])
340 gl_gnulib_enabled_getgroups=true
341 fi
342 }
343 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36 ()
344 {
345 if ! $gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36; then
346 AC_SUBST([LIBINTL])
347 AC_SUBST([LTLIBINTL])
348 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=true
349 fi
350 }
351 func_gl_gnulib_m4code_a9786850e999ae65a836a6041e8e5ed1 ()
352 {
353 if ! $gl_gnulib_enabled_a9786850e999ae65a836a6041e8e5ed1; then
354 gl_FUNC_GROUP_MEMBER
355 if test $HAVE_GROUP_MEMBER = 0; then
356 AC_LIBOBJ([group-member])
357 gl_PREREQ_GROUP_MEMBER
358 fi
359 gl_UNISTD_MODULE_INDICATOR([group-member])
360 gl_gnulib_enabled_a9786850e999ae65a836a6041e8e5ed1=true
361 if test $HAVE_GROUP_MEMBER = 0; then
362 func_gl_gnulib_m4code_getgroups
363 fi
364 if test $HAVE_GROUP_MEMBER = 0; then
365 func_gl_gnulib_m4code_682e609604ccaac6be382e4ee3a4eaec
366 fi
367 fi
368 }
369 func_gl_gnulib_m4code_pathmax ()
370 {
371 if ! $gl_gnulib_enabled_pathmax; then
372 gl_PATHMAX
373 gl_gnulib_enabled_pathmax=true
374 fi
375 }
376 func_gl_gnulib_m4code_6099e9737f757db36c47fa9d9f02e88c ()
377 {
378 if ! $gl_gnulib_enabled_6099e9737f757db36c47fa9d9f02e88c; then
379 gl_gnulib_enabled_6099e9737f757db36c47fa9d9f02e88c=true
380 fi
381 }
382 func_gl_gnulib_m4code_stat ()
383 {
384 if ! $gl_gnulib_enabled_stat; then
385 gl_FUNC_STAT
386 if test $REPLACE_STAT = 1; then
387 AC_LIBOBJ([stat])
388 gl_PREREQ_STAT
389 fi
390 gl_SYS_STAT_MODULE_INDICATOR([stat])
391 gl_gnulib_enabled_stat=true
392 if test $REPLACE_STAT = 1; then
393 func_gl_gnulib_m4code_dosname
394 fi
395 if test $REPLACE_STAT = 1; then
396 func_gl_gnulib_m4code_pathmax
397 fi
398 if test $REPLACE_STAT = 1; then
399 func_gl_gnulib_m4code_verify
400 fi
401 fi
402 }
403 func_gl_gnulib_m4code_strtoll ()
404 {
405 if ! $gl_gnulib_enabled_strtoll; then
406 gl_FUNC_STRTOLL
407 if test $HAVE_STRTOLL = 0; then
408 AC_LIBOBJ([strtoll])
409 gl_PREREQ_STRTOLL
410 fi
411 gl_STDLIB_MODULE_INDICATOR([strtoll])
412 gl_gnulib_enabled_strtoll=true
413 fi
414 }
415 func_gl_gnulib_m4code_strtoull ()
416 {
417 if ! $gl_gnulib_enabled_strtoull; then
418 gl_FUNC_STRTOULL
419 if test $HAVE_STRTOULL = 0; then
420 AC_LIBOBJ([strtoull])
421 gl_PREREQ_STRTOULL
422 fi
423 gl_STDLIB_MODULE_INDICATOR([strtoull])
424 gl_gnulib_enabled_strtoull=true
425 fi
426 }
427 func_gl_gnulib_m4code_verify ()
428 {
429 if ! $gl_gnulib_enabled_verify; then
430 gl_gnulib_enabled_verify=true
431 fi
432 }
433 func_gl_gnulib_m4code_682e609604ccaac6be382e4ee3a4eaec ()
434 {
435 if ! $gl_gnulib_enabled_682e609604ccaac6be382e4ee3a4eaec; then
436 gl_gnulib_enabled_682e609604ccaac6be382e4ee3a4eaec=true
437 fi
438 }
439 if test $HAVE_FACCESSAT = 0; then
440 func_gl_gnulib_m4code_dosname
441 fi
442 if test $HAVE_FACCESSAT = 0; then
443 func_gl_gnulib_m4code_euidaccess
444 fi
445 if test $REPLACE_GETOPT = 1; then
446 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36
447 fi
448 if test $REPLACE_LSTAT = 1; then
449 func_gl_gnulib_m4code_dosname
450 fi
451 if test $REPLACE_LSTAT = 1; then
452 func_gl_gnulib_m4code_stat
453 fi
454 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
455 func_gl_gnulib_m4code_stat
456 fi
457 if { test $HAVE_STRTOIMAX = 0 || test $REPLACE_STRTOIMAX = 1; } && test $ac_cv_type_long_long_int = yes; then
458 func_gl_gnulib_m4code_strtoll
459 fi
460 if test $HAVE_STRTOIMAX = 0 || test $REPLACE_STRTOIMAX = 1; then
461 func_gl_gnulib_m4code_verify
462 fi
463 if test $ac_cv_func_strtoumax = no && test $ac_cv_type_unsigned_long_long_int = yes; then
464 func_gl_gnulib_m4code_strtoull
465 fi
466 if test $ac_cv_func_strtoumax = no; then
467 func_gl_gnulib_m4code_verify
468 fi
469 m4_pattern_allow([^gl_GNULIB_ENABLED_])
470 AM_CONDITIONAL([gl_GNULIB_ENABLED_dosname], [$gl_gnulib_enabled_dosname])
471 AM_CONDITIONAL([gl_GNULIB_ENABLED_euidaccess], [$gl_gnulib_enabled_euidaccess])
472 AM_CONDITIONAL([gl_GNULIB_ENABLED_getgroups], [$gl_gnulib_enabled_getgroups])
473 AM_CONDITIONAL([gl_GNULIB_ENABLED_be453cec5eecf5731a274f2de7f2db36], [$gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36])
474 AM_CONDITIONAL([gl_GNULIB_ENABLED_a9786850e999ae65a836a6041e8e5ed1], [$gl_gnulib_enabled_a9786850e999ae65a836a6041e8e5ed1])
475 AM_CONDITIONAL([gl_GNULIB_ENABLED_pathmax], [$gl_gnulib_enabled_pathmax])
476 AM_CONDITIONAL([gl_GNULIB_ENABLED_6099e9737f757db36c47fa9d9f02e88c], [$gl_gnulib_enabled_6099e9737f757db36c47fa9d9f02e88c])
477 AM_CONDITIONAL([gl_GNULIB_ENABLED_stat], [$gl_gnulib_enabled_stat])
478 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoll], [$gl_gnulib_enabled_strtoll])
479 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoull], [$gl_gnulib_enabled_strtoull])
480 AM_CONDITIONAL([gl_GNULIB_ENABLED_verify], [$gl_gnulib_enabled_verify])
481 AM_CONDITIONAL([gl_GNULIB_ENABLED_682e609604ccaac6be382e4ee3a4eaec], [$gl_gnulib_enabled_682e609604ccaac6be382e4ee3a4eaec])
482 # End of code from modules
483 m4_ifval(gl_LIBSOURCES_LIST, [
484 m4_syscmd([test ! -d ]m4_defn([gl_LIBSOURCES_DIR])[ ||
485 for gl_file in ]gl_LIBSOURCES_LIST[ ; do
486 if test ! -r ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file ; then
487 echo "missing file ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file" >&2
488 exit 1
489 fi
490 done])dnl
491 m4_if(m4_sysval, [0], [],
492 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
493 ])
494 m4_popdef([gl_LIBSOURCES_DIR])
495 m4_popdef([gl_LIBSOURCES_LIST])
496 m4_popdef([AC_LIBSOURCES])
497 m4_popdef([AC_REPLACE_FUNCS])
498 m4_popdef([AC_LIBOBJ])
499 AC_CONFIG_COMMANDS_PRE([
500 gl_libobjs=
501 gl_ltlibobjs=
502 if test -n "$gl_LIBOBJS"; then
503 # Remove the extension.
504 sed_drop_objext='s/\.o$//;s/\.obj$//'
505 for i in `for i in $gl_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
506 gl_libobjs="$gl_libobjs $i.$ac_objext"
507 gl_ltlibobjs="$gl_ltlibobjs $i.lo"
508 done
509 fi
510 AC_SUBST([gl_LIBOBJS], [$gl_libobjs])
511 AC_SUBST([gl_LTLIBOBJS], [$gl_ltlibobjs])
512 ])
513 gltests_libdeps=
514 gltests_ltlibdeps=
515 m4_pushdef([AC_LIBOBJ], m4_defn([gltests_LIBOBJ]))
516 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gltests_REPLACE_FUNCS]))
517 m4_pushdef([AC_LIBSOURCES], m4_defn([gltests_LIBSOURCES]))
518 m4_pushdef([gltests_LIBSOURCES_LIST], [])
519 m4_pushdef([gltests_LIBSOURCES_DIR], [])
520 gl_COMMON
521 gl_source_base='tests'
522 changequote(,)dnl
523 gltests_WITNESS=IN_`echo "${PACKAGE-$PACKAGE_TARNAME}" | LC_ALL=C tr abcdefghijklmnopqrstuvwxyz ABCDEFGHIJKLMNOPQRSTUVWXYZ | LC_ALL=C sed -e 's/[^A-Z0-9_]/_/g'`_GNULIB_TESTS
524 changequote([, ])dnl
525 AC_SUBST([gltests_WITNESS])
526 gl_module_indicator_condition=$gltests_WITNESS
527 m4_pushdef([gl_MODULE_INDICATOR_CONDITION], [$gl_module_indicator_condition])
528 m4_pattern_allow([^gl_GNULIB_ENABLED_])
529 m4_popdef([gl_MODULE_INDICATOR_CONDITION])
530 m4_ifval(gltests_LIBSOURCES_LIST, [
531 m4_syscmd([test ! -d ]m4_defn([gltests_LIBSOURCES_DIR])[ ||
532 for gl_file in ]gltests_LIBSOURCES_LIST[ ; do
533 if test ! -r ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file ; then
534 echo "missing file ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file" >&2
535 exit 1
536 fi
537 done])dnl
538 m4_if(m4_sysval, [0], [],
539 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
540 ])
541 m4_popdef([gltests_LIBSOURCES_DIR])
542 m4_popdef([gltests_LIBSOURCES_LIST])
543 m4_popdef([AC_LIBSOURCES])
544 m4_popdef([AC_REPLACE_FUNCS])
545 m4_popdef([AC_LIBOBJ])
546 AC_CONFIG_COMMANDS_PRE([
547 gltests_libobjs=
548 gltests_ltlibobjs=
549 if test -n "$gltests_LIBOBJS"; then
550 # Remove the extension.
551 sed_drop_objext='s/\.o$//;s/\.obj$//'
552 for i in `for i in $gltests_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
553 gltests_libobjs="$gltests_libobjs $i.$ac_objext"
554 gltests_ltlibobjs="$gltests_ltlibobjs $i.lo"
555 done
556 fi
557 AC_SUBST([gltests_LIBOBJS], [$gltests_libobjs])
558 AC_SUBST([gltests_LTLIBOBJS], [$gltests_ltlibobjs])
559 ])
560 LIBGNU_LIBDEPS="$gl_libdeps"
561 AC_SUBST([LIBGNU_LIBDEPS])
562 LIBGNU_LTLIBDEPS="$gl_ltlibdeps"
563 AC_SUBST([LIBGNU_LTLIBDEPS])
564 ])
565
566 # Like AC_LIBOBJ, except that the module name goes
567 # into gl_LIBOBJS instead of into LIBOBJS.
568 AC_DEFUN([gl_LIBOBJ], [
569 AS_LITERAL_IF([$1], [gl_LIBSOURCES([$1.c])])dnl
570 gl_LIBOBJS="$gl_LIBOBJS $1.$ac_objext"
571 ])
572
573 # Like AC_REPLACE_FUNCS, except that the module name goes
574 # into gl_LIBOBJS instead of into LIBOBJS.
575 AC_DEFUN([gl_REPLACE_FUNCS], [
576 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
577 AC_CHECK_FUNCS([$1], , [gl_LIBOBJ($ac_func)])
578 ])
579
580 # Like AC_LIBSOURCES, except the directory where the source file is
581 # expected is derived from the gnulib-tool parameterization,
582 # and alloca is special cased (for the alloca-opt module).
583 # We could also entirely rely on EXTRA_lib..._SOURCES.
584 AC_DEFUN([gl_LIBSOURCES], [
585 m4_foreach([_gl_NAME], [$1], [
586 m4_if(_gl_NAME, [alloca.c], [], [
587 m4_define([gl_LIBSOURCES_DIR], [lib])
588 m4_append([gl_LIBSOURCES_LIST], _gl_NAME, [ ])
589 ])
590 ])
591 ])
592
593 # Like AC_LIBOBJ, except that the module name goes
594 # into gltests_LIBOBJS instead of into LIBOBJS.
595 AC_DEFUN([gltests_LIBOBJ], [
596 AS_LITERAL_IF([$1], [gltests_LIBSOURCES([$1.c])])dnl
597 gltests_LIBOBJS="$gltests_LIBOBJS $1.$ac_objext"
598 ])
599
600 # Like AC_REPLACE_FUNCS, except that the module name goes
601 # into gltests_LIBOBJS instead of into LIBOBJS.
602 AC_DEFUN([gltests_REPLACE_FUNCS], [
603 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
604 AC_CHECK_FUNCS([$1], , [gltests_LIBOBJ($ac_func)])
605 ])
606
607 # Like AC_LIBSOURCES, except the directory where the source file is
608 # expected is derived from the gnulib-tool parameterization,
609 # and alloca is special cased (for the alloca-opt module).
610 # We could also entirely rely on EXTRA_lib..._SOURCES.
611 AC_DEFUN([gltests_LIBSOURCES], [
612 m4_foreach([_gl_NAME], [$1], [
613 m4_if(_gl_NAME, [alloca.c], [], [
614 m4_define([gltests_LIBSOURCES_DIR], [tests])
615 m4_append([gltests_LIBSOURCES_LIST], _gl_NAME, [ ])
616 ])
617 ])
618 ])
619
620 # This macro records the list of files which have been installed by
621 # gnulib-tool and may be removed by future gnulib-tool invocations.
622 AC_DEFUN([gl_FILE_LIST], [
623 build-aux/snippet/_Noreturn.h
624 build-aux/snippet/arg-nonnull.h
625 build-aux/snippet/c++defs.h
626 build-aux/snippet/warn-on-use.h
627 lib/alloca.in.h
628 lib/allocator.c
629 lib/allocator.h
630 lib/at-func.c
631 lib/c-ctype.c
632 lib/c-ctype.h
633 lib/c-strcase.h
634 lib/c-strcasecmp.c
635 lib/c-strncasecmp.c
636 lib/careadlinkat.c
637 lib/careadlinkat.h
638 lib/close-stream.c
639 lib/close-stream.h
640 lib/dosname.h
641 lib/dtoastr.c
642 lib/dtotimespec.c
643 lib/dup2.c
644 lib/euidaccess.c
645 lib/execinfo.c
646 lib/execinfo.in.h
647 lib/faccessat.c
648 lib/fcntl.in.h
649 lib/filemode.c
650 lib/filemode.h
651 lib/fpending.c
652 lib/fpending.h
653 lib/ftoastr.c
654 lib/ftoastr.h
655 lib/getgroups.c
656 lib/getloadavg.c
657 lib/getopt.c
658 lib/getopt.in.h
659 lib/getopt1.c
660 lib/getopt_int.h
661 lib/gettext.h
662 lib/gettime.c
663 lib/gettimeofday.c
664 lib/group-member.c
665 lib/ignore-value.h
666 lib/intprops.h
667 lib/inttypes.in.h
668 lib/lstat.c
669 lib/md5.c
670 lib/md5.h
671 lib/mktime-internal.h
672 lib/mktime.c
673 lib/pathmax.h
674 lib/pselect.c
675 lib/pthread_sigmask.c
676 lib/readlink.c
677 lib/root-uid.h
678 lib/sha1.c
679 lib/sha1.h
680 lib/sha256.c
681 lib/sha256.h
682 lib/sha512.c
683 lib/sha512.h
684 lib/signal.in.h
685 lib/stat-time.c
686 lib/stat-time.h
687 lib/stat.c
688 lib/stdalign.in.h
689 lib/stdarg.in.h
690 lib/stdbool.in.h
691 lib/stddef.in.h
692 lib/stdint.in.h
693 lib/stdio.in.h
694 lib/stdlib.in.h
695 lib/strftime.c
696 lib/strftime.h
697 lib/strtoimax.c
698 lib/strtol.c
699 lib/strtoll.c
700 lib/strtoul.c
701 lib/strtoull.c
702 lib/strtoumax.c
703 lib/symlink.c
704 lib/sys_select.in.h
705 lib/sys_stat.in.h
706 lib/sys_time.in.h
707 lib/time.in.h
708 lib/time_r.c
709 lib/timespec-add.c
710 lib/timespec-sub.c
711 lib/timespec.c
712 lib/timespec.h
713 lib/u64.c
714 lib/u64.h
715 lib/unistd.in.h
716 lib/utimens.c
717 lib/utimens.h
718 lib/verify.h
719 lib/xalloc-oversized.h
720 m4/00gnulib.m4
721 m4/alloca.m4
722 m4/c-strtod.m4
723 m4/clock_time.m4
724 m4/close-stream.m4
725 m4/dup2.m4
726 m4/environ.m4
727 m4/euidaccess.m4
728 m4/execinfo.m4
729 m4/extensions.m4
730 m4/extern-inline.m4
731 m4/faccessat.m4
732 m4/fcntl-o.m4
733 m4/fcntl_h.m4
734 m4/filemode.m4
735 m4/fpending.m4
736 m4/getgroups.m4
737 m4/getloadavg.m4
738 m4/getopt.m4
739 m4/gettime.m4
740 m4/gettimeofday.m4
741 m4/gnulib-common.m4
742 m4/group-member.m4
743 m4/include_next.m4
744 m4/inttypes.m4
745 m4/largefile.m4
746 m4/longlong.m4
747 m4/lstat.m4
748 m4/manywarnings.m4
749 m4/md5.m4
750 m4/mktime.m4
751 m4/multiarch.m4
752 m4/nocrash.m4
753 m4/off_t.m4
754 m4/pathmax.m4
755 m4/pselect.m4
756 m4/pthread_sigmask.m4
757 m4/readlink.m4
758 m4/sha1.m4
759 m4/sha256.m4
760 m4/sha512.m4
761 m4/signal_h.m4
762 m4/socklen.m4
763 m4/ssize_t.m4
764 m4/st_dm_mode.m4
765 m4/stat-time.m4
766 m4/stat.m4
767 m4/stdalign.m4
768 m4/stdarg.m4
769 m4/stdbool.m4
770 m4/stddef_h.m4
771 m4/stdint.m4
772 m4/stdio_h.m4
773 m4/stdlib_h.m4
774 m4/strftime.m4
775 m4/strtoimax.m4
776 m4/strtoll.m4
777 m4/strtoull.m4
778 m4/strtoumax.m4
779 m4/symlink.m4
780 m4/sys_select_h.m4
781 m4/sys_socket_h.m4
782 m4/sys_stat_h.m4
783 m4/sys_time_h.m4
784 m4/time_h.m4
785 m4/time_r.m4
786 m4/timer_time.m4
787 m4/timespec.m4
788 m4/tm_gmtoff.m4
789 m4/unistd_h.m4
790 m4/utimbuf.m4
791 m4/utimens.m4
792 m4/utimes.m4
793 m4/warn-on-use.m4
794 m4/warnings.m4
795 m4/wchar_t.m4
796 ])